#
# spec file for package dovecot20
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           dovecot20
Version:        2.0.13
Release:        0.5.1
%define pkg_name dovecot
%define sieve_version 2.0
%define dovecot_version 2.0.13
%define         dovecot_pigeonhole_docdir       %{_docdir}/%{pkg_name}/dovecot-pigeonhole
#define with_unfinished_sieve_features 1
#
Group:          Productivity/Networking/Email/Servers
License:        BSD 3-Clause; LGPL v2.1 or later; X11/MIT
#
%if 0%{?suse_version} >= 1000
%define with_solr 1
%endif
%if 0%{?suse_version} > 1020
%define with_clucene 0
%endif
%if 0%{?sles_version} == 9
%define with_sqlite 0
%else
%define with_sqlite 1
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison flex mysql-devel openldap2-devel pam-devel pkgconfig postgresql-devel tcpd-devel
%if 0%{with_sqlite}
BuildRequires:  sqlite-devel > 3
%endif
%if 0%{?with_clucene}
BuildRequires:  clucene-core-devel gcc-c++
%endif
%if 0%{?sles_version} == 9
BuildRequires:  heimdal-devel
BuildRequires:  libcap
%else
BuildRequires:  krb5-devel
BuildRequires:  libcap-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  libbz2-devel
%endif
%if 0%{?with_solr}
BuildRequires:  curl-devel libexpat-devel
%endif
PreReq:         pwdutils %insserv_prereq %fillup_prereq
Conflicts:      dovecot10 dovecot11 dovecot12 dovecot-snapshot dovecot11-snapshot dovecot12-snapshot
Provides:       dovecot = %{version}-%{release}
Obsoletes:      dovecot < %{version}
%if 0%{?suse_version} >= 1010
Recommends:     %{name}-backend-mysql = %{version} %{name}-backend-pgsql = %{version}
%if 0%{with_sqlite}
Recommends:     %{name}-backend-sqlite = %{version}
%endif
%endif
Url:            http://www.dovecot.org
# taken from    http://www.dovecot.org/releases/2.0/%{pkg_name}-%{version}.tar.gz
Source:         %{pkg_name}-%{dovecot_version}.tar.bz2
# hg clone http://hg.rename-it.nl/dovecot-2.0-pigeonhole/
%define dovecot_pigeonhole_source_dir %{pkg_name}-%{sieve_version}-pigeonhole-0.2.3
Source1:        %{dovecot_pigeonhole_source_dir}.tar.bz2
Source2:        %{pkg_name}.init
Source3:        %{pkg_name}.pam
Source4:        %{pkg_name}.README.SuSE
Source5:        %{pkg_name}-fw
Patch0:         dovecot-2.0_pie.patch
Summary:        IMAP and POP3 Server Written Primarily with Security in Mind

%description
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

Author:
--------
    Timo Sirainen <tss@iki.fi>

%package backend-mysql
License:        BSD 3-Clause; LGPL v2.1 or later; X11/MIT
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_sql_backend = %{version}-%{release}
Provides:       dovecot-backend-mysql = %{version}-%{release}
Obsoletes:      dovecot-backend-mysql < %{version}
Conflicts:      dovecot10-backend-mysql dovecot11-backend-mysql dovecot12-backend-mysql dovecot-snapshot-backend-mysql dovecot11-snapshot-backend-mysql dovecot12-snapshot-backend-mysql
Summary:        MySQL support for Dovecot

%description backend-mysql
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for MySQL support.

Author:
--------
    Timo Sirainen <tss@iki.fi>

%package backend-pgsql
License:        BSD 3-Clause; LGPL v2.1 or later; X11/MIT
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_sql_backend = %{version}-%{release}
Provides:       dovecot-backend-pgsql = %{version}-%{release}
Obsoletes:      dovecot-backend-pgsql < %{version}
Conflicts:      dovecot10-backend-pgsql dovecot11-backend-pgsql dovecot12-backend-pgsql dovecot-snapshot-backend-pgsql dovecot11-snapshot-backend-pgsql dovecot12-snapshot-backend-pgsql
Summary:        PostgreSQL support for Dovecot

%description backend-pgsql
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for PostgreSQL support.

Author:
--------
    Timo Sirainen <tss@iki.fi>


%if 0%{?with_sqlite}

%package backend-sqlite
License:        BSD 3-Clause; LGPL v2.1 or later; X11/MIT
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_sql_backend = %{version}-%{release}
Provides:       dovecot-backend-sqlite = %{version}-%{release}
Obsoletes:      dovecot-backend-sqlite < %{version}
Conflicts:      dovecot10-backend-sqlite dovecot11-backend-sqlite dovecot12-backend-sqlite dovecot-snapshot-backend-sqlite dovecot11-snapshot-backend-sqlite dovecot12-snapshot-backend-sqlite
Summary:        SQLite support for Dovecot

%description backend-sqlite
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for SQLite support.

Author:
--------
    Timo Sirainen <tss@iki.fi>
%endif

%if 0%{?with_clucene}

%package fts-lucene
License:        BSD 3-Clause; LGPL v2.1 or later; X11/MIT
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_fts_backend = %{version}-%{release}
Provides:       dovecot-fts-clucene = %{version}-%{release}
Obsoletes:      dovecot-fts-clucene < %{version}
Conflicts:      dovecot10-fts-clucene dovecot11-fts-clucene dovecot12-fts-clucene dovecot-snapshot-fts-clucene dovecot11-snapshot-fts-clucene dovecot12-snapshot-fts-clucene
Summary:        Fulltext search support via CLucene

%description fts-lucene
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for fulltext search support via CLucene.

Author:
--------
    Timo Sirainen <tss@iki.fi>
%endif

%if 0%{?with_solr}

%package fts-solr
License:        BSD 3-Clause; LGPL v2.1 or later; X11/MIT
Group:          Productivity/Networking/Email/Servers
Requires:       %{name} = %{version}
Provides:       dovecot_fts_backend = %{version}-%{release}
Provides:       dovecot-fts-solr = %{version}-%{release}
Obsoletes:      dovecot-fts-solr < %{version}
Conflicts:      dovecot10-fts-solr dovecot11-fts-solr dovecot12-fts-solr dovecot-snapshot-fts-solr dovecot11-snapshot-fts-solr dovecot12-snapshot-fts-solr
Summary:        Fulltext search support via solr

%description fts-solr
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the files needed for fulltext search support via solr.


Author:
--------
    Timo Sirainen <tss@iki.fi>
%endif

%package devel
License:        BSD 3-Clause; LGPL v2.1 or later; X11/MIT
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Provides:       dovecot-devel = %{version}-%{release}
Obsoletes:      dovecot-devel < %{version}
Conflicts:      dovecot10-devel dovecot11-devel dovecot12-devel dovecot-snapshot-devel dovecot11-snapshot-devel dovecot12-snapshot-devel
Summary:        Development files for Dovecot plugins

%description devel
Dovecot is an IMAP and POP3 server for Linux and UNIX-like systems,
written primarily with security in mind. Although it is written in C,
it uses several coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and is fully
compatible with UW-IMAP and Courier IMAP servers as well as mail
clients accessing the mailboxes directly.

This package holds the file needed to compile plugins outside of the
dovecot tree.

Author:
--------
    Timo Sirainen <tss@iki.fi>

%prep
%setup -q -n %{pkg_name}-%{dovecot_version} -a 1
%{__gzip} -9v ChangeLog
# Disable ssl per default.
%{__sed} -i 's|#ssl = yes|ssl = no|' doc/example-config/conf.d/10-ssl.conf
# Also do not include non-existant key and cert files for SSL bnc#696919.
%{__sed} -i 's|^ssl_cert = |#ssl_cert = |' doc/example-config/conf.d/10-ssl.conf
%{__sed} -i 's|^ssl_key = |#ssl_key = |' doc/example-config/conf.d/10-ssl.conf
# Fix plugins dir.
%{__sed} -i 's|#mail_plugin_dir = /usr/lib/dovecot|mail_plugin_dir = %{_libdir}/dovecot/modules|' doc/example-config/conf.d/10-mail.conf
# TODO: why this ? # Disable IPv6 listening.
# %{__sed} -i 's|#listen = \*, ::|listen = *|' doc/example-config/dovecot.conf

%build
export CFLAGS="%{optflags}"
%if 0%{?suse_version} > 1000
    export CFLAGS="$CFLAGS -fstack-protector"
%endif
#{__aclocal} -I .
#{__autoheader}
#{__libtoolize} --force
#{__automake} --add-missing
#{__autoconf}
%if 0%{?with_clucene}
export CFLAGS="$CFLAGS -I%{_libdir}"
export CXXFLAGS="$CFLAGS -I%{_libdir}"
%endif
export CFLAGS="$CFLAGS -fpic -DPIC"
export LIBS="-pie"
%configure                                          \
    --docdir=%{_docdir}/%{pkg_name}                 \
    --libexecdir=%{_prefix}/lib                     \
    --with-moduledir=%{_libdir}/%{pkg_name}/modules \
    --with-ioloop=best                              \
    --with-ldap=plugin                              \
    --with-sql=plugin                               \
    --with-gssapi=plugin                            \
    --with-pgsql                                    \
    --with-mysql                                    \
%if 0%{with_sqlite}
    --with-sqlite                                   \
%endif
%if 0%{?with_clucene}
    --with-lucene                                   \
%endif
%if 0%{?with_solr}
    --with-solr                                     \
%endif
    --with-ssl=openssl                              \
    --with-zlib                                     \
    --with-bzlib                                    \
    --with-libcap                                   \
    --with-libwrap                                  \
    --with-docs                                     \
    --disable-static
make

pushd %{dovecot_pigeonhole_source_dir}
    #./autogen.sh
    #%{__aclocal}
    #%{__autoheader}
    #%{__libtoolize} --force
    #%{__automake} --add-missing
    #%{__autoconf}
    %configure --with-dovecot=../ \
      %if 0%{?with_unfinished_sieve_features}
      --with-unfinished-features \
      %endif
      --docdir="%{dovecot_pigeonhole_docdir}"
    make
popd

%check
make -C %{dovecot_pigeonhole_source_dir} test

%install
%makeinstall
%makeinstall -C %{dovecot_pigeonhole_source_dir} sieve_docdir=%{dovecot_pigeonhole_docdir}

# clean up unused files, as much as I would like to use -delete ... the old find on sles9 doesnt support it
find %{buildroot}%{_libdir}/%{pkg_name}/ -type f -name \*.la -print0 | xargs -r0 rm -fv
find %{buildroot}%{_libdir}/%{pkg_name}/ -type f -name \*.a  -print0 | xargs -r0 rm -fv

# create /var directories
%{__install} -m 0755 -Dd \
  %{buildroot}%{_var}/run/%{pkg_name}/login/ \
  %{buildroot}%{_var}/lib/%{pkg_name}/

# install the init script
%{__install} -D -m 0755 %{S:2} %{buildroot}%{_sysconfdir}/init.d/%{pkg_name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{pkg_name} %{buildroot}%{_sbindir}/rc%{pkg_name}

# install pam config
%{__install} -D -m 0644 %{S:3} %{buildroot}%{_sysconfdir}/pam.d/%{pkg_name}

# install the script to create dummy selfsigned certs
%{__install} -m 0755 doc/mkcert.sh %{buildroot}%{_docdir}/%{pkg_name}
%{__install} -m 0644 doc/*.cnf     %{buildroot}%{_docdir}/%{pkg_name}
%{__install} -m 0644 %{S:4}        %{buildroot}%{_docdir}/%{pkg_name}/README.SuSE

# install default config
cp -av %{buildroot}%{_docdir}/%{pkg_name}/example-config/* %{buildroot}%{_sysconfdir}/%{pkg_name}/
# the chmod breaks the lda. lets use the more open permissions
#chmod -Rv o= %{buildroot}%{_sysconfdir}/%{pkg_name}/

# additional docs for the main package
%{__install} -m 0644 \
       AUTHORS ChangeLog* COPYING* NEWS TODO README* \
%if 0%{?with_solr}
    doc/*.xml \
%endif
    %{buildroot}%{_docdir}/%{pkg_name}/

# install sieve docs
%{__install} -m 0755 -Dd %{buildroot}%{dovecot_pigeonhole_docdir}
pushd %{dovecot_pigeonhole_source_dir}
cp -av AUTHORS COPYING* INSTALL NEWS README TODO \
       examples/ doc/rfc/ doc/devel \
  %{buildroot}%{dovecot_pigeonhole_docdir}/
popd

# install firewall services
%{__install} -D -m 644 %{S:5} %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{pkg_name}

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r %{pkg_name} &>/dev/null || :
/usr/sbin/useradd -o -g %{pkg_name} -s /bin/false -r -c "User for Dovecot imapd" -d %{_var}/run/%{pkg_name} %{pkg_name} &>/dev/null || :
/usr/sbin/useradd -o -g %{pkg_name} -s /bin/false -r -c "User for Dovecot login" -d %{_var}/run/%{pkg_name} dovenull &>/dev/null || :

%preun
%stop_on_removal %{pkg_name}

%post
/sbin/ldconfig
%fillup_and_insserv -f %{pkg_name}

%postun
/sbin/ldconfig
%insserv_cleanup
%restart_on_update %{pkg_name}

%files
%defattr(-,root,root)
%{_sysconfdir}/init.d/%{pkg_name}
%{_sbindir}/rc%{pkg_name}
%{_sbindir}/%{pkg_name}
%{_bindir}/doveadm
%{_bindir}/doveconf
%{_bindir}/dsync
%{_bindir}/sieve-test
%{_bindir}/sievec
%{_bindir}/sieve-dump
# conf
%config(noreplace) %{_sysconfdir}/%{pkg_name}/
%config(noreplace) %{_sysconfdir}/pam.d/%{pkg_name}
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{pkg_name}
# subprocesses
%dir %{_prefix}/lib/%{pkg_name}
%{_prefix}/lib/%{pkg_name}/anvil
%{_prefix}/lib/%{pkg_name}/auth
%{_prefix}/lib/%{pkg_name}/checkpassword-reply
%{_prefix}/lib/%{pkg_name}/config
%{_prefix}/lib/%{pkg_name}/deliver
%{_prefix}/lib/%{pkg_name}/dict
%{_prefix}/lib/%{pkg_name}/director
%{_prefix}/lib/%{pkg_name}/dns-client
%{_prefix}/lib/%{pkg_name}/doveadm-server
%{_prefix}/lib/%{pkg_name}/dovecot-lda
%{_prefix}/lib/%{pkg_name}/gdbhelper
%{_prefix}/lib/%{pkg_name}/imap
%{_prefix}/lib/%{pkg_name}/imap-login
%{_prefix}/lib/%{pkg_name}/listview
%{_prefix}/lib/%{pkg_name}/lmtp
%{_prefix}/lib/%{pkg_name}/log
%{_prefix}/lib/%{pkg_name}/maildirlock
%{_prefix}/lib/%{pkg_name}/managesieve
%{_prefix}/lib/%{pkg_name}/managesieve-login
%{_prefix}/lib/%{pkg_name}/pop3
%{_prefix}/lib/%{pkg_name}/pop3-login
%{_prefix}/lib/%{pkg_name}/rawlog
%{_prefix}/lib/%{pkg_name}/script
%{_prefix}/lib/%{pkg_name}/script-login
%{_prefix}/lib/%{pkg_name}/ssl-params
%{_prefix}/lib/%{pkg_name}/tcpwrap
%{_libdir}/%{pkg_name}/libdovecot.so.*
%{_libdir}/%{pkg_name}/libdovecot-lda.so.*
%{_libdir}/%{pkg_name}/libdovecot-login.so.*
%{_libdir}/%{pkg_name}/libdovecot-sieve.so.*
%{_libdir}/%{pkg_name}/libdovecot-sql.so.*
%{_libdir}/%{pkg_name}/libdovecot-storage.so.*
# plugins
%dir %{_libdir}/%{pkg_name}
%dir %{_libdir}/%{pkg_name}/modules/
%{_libdir}/%{pkg_name}/modules/lib01_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/lib02_lazy_expunge_plugin.so
%{_libdir}/%{pkg_name}/modules/lib05_snarf_plugin.so
%{_libdir}/%{pkg_name}/modules/lib10_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/lib11_trash_plugin.so
%{_libdir}/%{pkg_name}/modules/lib15_notify_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_mail_log_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_expire_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_fts_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_zlib_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_autocreate_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_listescape_plugin.so
%{_libdir}/%{pkg_name}/modules/lib20_virtual_plugin.so
%{_libdir}/%{pkg_name}/modules/lib21_fts_squat_plugin.so
%{_libdir}/%{pkg_name}/modules/lib30_imap_zlib_plugin.so
%{_libdir}/%{pkg_name}/modules/lib02_imap_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/lib11_imap_quota_plugin.so
%{_libdir}/%{pkg_name}/modules/lib90_sieve_plugin.so
%dir %{_libdir}/%{pkg_name}/modules/doveadm
%{_libdir}/%{pkg_name}/modules/doveadm/lib10_doveadm_acl_plugin.so
%{_libdir}/%{pkg_name}/modules/doveadm/lib10_doveadm_expire_plugin.so
%{_libdir}/%{pkg_name}/modules/doveadm/lib10_doveadm_quota_plugin.so*
%{_libdir}/%{pkg_name}/modules/doveadm/lib10_doveadm_zlib_plugin.so
%dir %{_libdir}/%{pkg_name}/modules/auth/
%dir %{_libdir}/%{pkg_name}/modules/dict/
%{_libdir}/%{pkg_name}/modules/auth/libauthdb_ldap.so
%{_libdir}/%{pkg_name}/modules/auth/libmech_gssapi.so
%dir %{_libdir}/%{pkg_name}/modules/settings/
%{_libdir}/%{pkg_name}/modules/settings/libmanagesieve_login_settings.so
%{_libdir}/%{pkg_name}/modules/settings/libmanagesieve_settings.so
# doc
%{_mandir}/man1/deliver.1*
%{_mandir}/man1/doveadm*.1*
%{_mandir}/man1/doveconf.1*
%{_mandir}/man1/dovecot*.1*
%{_mandir}/man1/dsync.1*
%{_mandir}/man7/doveadm*.7*
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man1/sieve-dump.1*
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*
%{_mandir}/man7/pigeonhole.7*
%doc %{_docdir}/%{pkg_name}
%if 0%{?with_solr}
%exclude %{_docdir}/%{pkg_name}/solr-schema.xml
%endif
# setting up permissions
%dir %attr(0755,root,root)        %ghost %{_var}/run/%{pkg_name}/
%dir %attr(0750,root,%{pkg_name}) %ghost %{_var}/run/%{pkg_name}/login/
%dir %attr(0750,root,root)        %{_var}/lib/%{pkg_name}/
%if 0%{?with_unfinished_sieve_features}
%{_bindir}/sieve-filter
%{_mandir}/man1/sieve-filter.1*
%endif

%files backend-mysql
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/libdriver_mysql.so
%{_libdir}/%{pkg_name}/modules/auth/libdriver_mysql.so
%{_libdir}/%{pkg_name}/modules/dict/libdriver_mysql.so

%files backend-pgsql
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/libdriver_pgsql.so
%{_libdir}/%{pkg_name}/modules/auth/libdriver_pgsql.so
%{_libdir}/%{pkg_name}/modules/dict/libdriver_pgsql.so

%if 0%{?with_sqlite}

%files backend-sqlite
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/libdriver_sqlite.so
%{_libdir}/%{pkg_name}/modules/auth/libdriver_sqlite.so
%{_libdir}/%{pkg_name}/modules/dict/libdriver_sqlite.so
%endif

%if 0%{?with_clucene}

%files fts-lucene
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/lib21_fts_lucene_plugin.so
%endif

%if 0%{?with_solr}

%files fts-solr
%defattr(-,root,root,-)
%{_libdir}/%{pkg_name}/modules/lib21_fts_solr_plugin.so
%{_docdir}/%{pkg_name}/solr-schema.xml
%endif

%files devel
%defattr(-,root,root,-)
%{_datadir}/aclocal/%{pkg_name}.m4
%{_includedir}/%{pkg_name}/
%{_libdir}/%{pkg_name}/dovecot-config
%{_libdir}/%{pkg_name}/libdovecot.so
%{_libdir}/%{pkg_name}/libdovecot-lda.so
%{_libdir}/%{pkg_name}/libdovecot-login.so
%{_libdir}/%{pkg_name}/libdovecot-sieve.so
%{_libdir}/%{pkg_name}/libdovecot-sql.so
%{_libdir}/%{pkg_name}/libdovecot-storage.so

%changelog
* Tue May 31 2011 alexandre@exatati.com.br
- Do not include non-existant ssl_cert and ssl_key in Dovecot
  configuration. (bnc#696919)
* Wed May 11 2011 alexandre@exatati.com.br
- Update to 2.0.13:
  + Added "doveadm index" command to add unindexed messages into
    index/cache. If full text search is enabled, it also adds unindexed
    messages to the fts database.
  + added "doveadm director dump" command.
  + pop3: Added support for showing messages in "POP3 order", which can
    be different from IMAP message order. This can be useful for
    migrations from other servers. Implemented it for Maildir as 'O'
    field in dovecot-uidlist.
  - doveconf: Fixed a wrong "subsection has ssl=yes" warning.
  - mdbox purge: Fixed wrong warning about corrupted extrefs.
  - sdbox: INBOX GUID changed when INBOX was autocreated, leading to
    trouble with dsync.
  - script-login binary wasn't actually dropping privileges to the
    user/group/chroot specified by its service settings.
  - Fixed potential crashes and other problems when parsing header names
    that contained NUL characters. (bnc#694778)
* Fri Apr 15 2011 alexandre@exatati.com.br
- Update Pigeonhole to 0.2.3:
  * Sieve-filter tool: finished implementing basic functionality. It is
    not quite ready yet, but it is available for those willing to
    experiment with it (needs --with-unfinished-features config to
    compile). Also includes man page.
  + Vacation extension now inhibits replies to messages from sender
    listed in :addresses, thus preventing replies to one of the user's
    other known addresses.
  + Vacation extension: implemented the (draft) vacation-seconds
    extension. This also adds min/max period configuration settings.
    Refer to doc/vacation.txt for configuration information.
  - ManageSieve: fixed bug in UTF-8 checking of string values. This is
    done by discarding the original implementation and migrating to the
    Dovecot API's UTF-8 functionality.
  - Sieve command line tools now avoid initializing the mail store unless
    necessary. This prevents sievec and sieve-dump from failing when
    executed by root for example.
  - Enotify extension: fixed inappropriate return type in mailto URI
    parse function, also fixing ARM compiler warning.
  - Vacation extension: fixed handling of sendmail errors. It produced an
    additional confusing success message in case of error.
  - Removed header MIME-decoding to fix erroneous address parsing.
    Applies to address test and vacation command.
  - Fixed segfault bug in extension configuration, triggered when unknown
    extension is mentioned in sieve_extensions setting.
* Tue Apr 12 2011 alexandre@exatati.com.br
- Update to 2.0.12:
  - Many small fixes, plus some more noticeable:
    + doveadm: Added "move" command for moving mails between mailboxes.
    + virtual: Added support for "+mailbox" entries that clear \Recent
    flag from messages (default is to preserve them).
  - dbox: Fixes to handling external attachments
  - dsync: More fixes to avoid hanging with remote syncs
  - dsync: Many other syncing/correctness fixes
  - doveconf: v2.0.10 and v2.0.11 didn't output plugin {} section right
* Mon Mar  7 2011 alexandre@exatati.com.br
- Update to 2.0.11:
  * dotlock_use_excl setting's default was accidentally "no" in all
    v2.0.x releases, instead of "yes" as in v1.1 and v1.2. Changed it
    back to "yes".
  - v2.0.10: LDAP support was broken
  - v2.0.10: dsyncing to remote often hanged (timed out in 15 mins)
* Fri Mar  4 2011 alexandre@exatati.com.br
- Update to 2.0.10:
  + Added import_environment setting.
  + Added submission_host setting to send mails via SMTP instead of
    via sendmail binary.
  + Added doveadm acl get/set/delete commands for ACL manipulation,
    similar to how IMAP ACL extension works.
  + Added doveadm acl debug command to help debug and fix problems
    with why shared mailboxes aren't working as expected.
  - IMAP: Fixed hangs with COMPRESS extension
  - IMAP: Fixed a hang when trying to COPY to a nonexistent mailbox.
  - IMAP: Fixed hang/crash with SEARCHRES + pipelining $.
  - IMAP: Fixed assert-crash if IDLE+DONE is sent in same TCP packet.
  - LMTP: Fixed sending multiple messages in a session.
  - doveadm: Fixed giving parameters to mail commands.
  - doveadm import: Settings weren't correctly used for the
    import storage.
  - dsync: Fixed somewhat random failures with saving messages to
    remote dsync.
  - v2.0.9: Config reload didn't notify running processes with
    shutdown_clients=no, so they could have kept serving new clients
    with old settings.
* Thu Jan 13 2011 alexandre@exatati.com.br
- Update to 2.0.9:
  - Linux: Fixed a high system CPU usage / high context switch count
    performance problem
  - Maildir: Avoid unnecessarily reading dovecot-uidlist while opening
    mailbox.
  - Maildir: Fixed renaming child mailboxes when namespace had a prefix.
  - mdbox: Don't leave partially written messages to mdbox files when
    aborting saving.
  - Fixed master user logins when using userdb prefetch
  - lda: Fixed a crash when trying to send "out of quota" reply
  - lmtp: If delivering duplicate messages to same user's INBOX,
    create different GUIDs for them. This helps to avoid duplicate
    POP3 UIDLs when pop3_uidl_format=%%g.
  - virtual storage: Fixed saving multiple mails in a transaction
    (e.g. copy multiple messages).
  - dsync: Saved messages' save-date was set to 1970-01-01.
* Mon Dec  6 2010 alexandre@exatati.com.br
- Update Pigeonhole to 0.2.2:
  * LDA Sieve plugin: started using Dovecot LDA reject API for the
    reject extension. This means that the LDA reject_reason and
    reject_subject settings now also work for Pigeonhole's LDA Sieve
    plugin.
  * Did some work on the new sieve-filter tool. It is mostly
    functional, but it is not finished yet.
  * Dovecot change: services' default vsz_limits weren't being enforced
    correctly in earlier v2.0 releases. Now that they are enforced, you
    might notice that the default limits are too low and you need to
    increase them. This problem will show up in logs as "out of memory"
    errors. See default_vsz_limit and service { vsz_limit } settings.
  - Imap4flags: fixed segfault bug occurring in multiscript context.
  - Added version checking to the ManageSieve settings plugin. This
    plugin was forgotten when the LDA plugin was updated with this
    change in the previous release.
  - LDA Sieve plugin: fixed memory leak at deinitialization.
* Sat Dec  4 2010 alexandre@exatati.com.br
- Update to 2.0.8:
  * Services' default vsz_limits weren't being enforced correctly in
    earlier v2.0 releases. Now that they are enforced, you might notice
    that the default limits are too low and you need to increase them.
    This problem will show up in logs as "out of memory" errors.
    See default_vsz_limit and service { vsz_limit } settings.
  * LMTP: In earlier versions if mail was delivered to user+detail@domain
    address, LMTP server always attempted to deliver the mail to mailbox
    named "detail". This was rather unintentional and shouldn't have been
    the default. lmtp_save_to_detail_mailbox=yes setting now preserves
    this behavior (default is no).
  + Added systemd support (configure --with-systemdsystemunitdir).
    Based on patch by Christophe Fergeau.
  + Replaced broken mbox-snarf plugin with a new more generic snarf
    plugin.
  - dbox: Fixes to handling external mail attachments
  - verbose_proctitle=yes didn't work for all processes in v2.0.7
  - imap, pop3: When service { client_count } was larger than 1, the
    log messages didn't use the correct prefix. Last logged in user's
    prefix was always used, regardless of what user's session actually
    logged it. Now the proper log prefix is always used.
  - MySQL: Only the first specified host was ever use
* Mon Nov  8 2010 alexandre@exatati.com.br
- Update to 2.0.7:
  * master: default_process_limit wasn't actually used anywhere,
    rather the default was unlimited. Now that it is enforced, you might
    notice that the default limit is too low and you need to increase it.
    Dovecot logs a warning when this happens.
  * mail-log plugin: Log mailbox name as virtual name rather than
    physical name (e.g. namespace prefix is included in the name)
  + doveadm dump: Added imapzlib type to uncompress IMAP's
    COMPRESS DEFLATE I/O traffic (e.g. from rawlog).
  - IMAP: Fixed LIST-STATUS when listing subscriptions with
    subscriptions=no namespaces.
  - IMAP: Fixed SELECT QRESYNC not to crash on mailbox close if a lot of changes were being sent.
  - quota: Don't count virtual mailboxes in quota
  - doveadm expunge didn't always actually do the physical expunging
  - Fixed some index reading optimizations introduced by v2.0.5.
  - LMTP proxying fixes
- Add IMAP, POP3 and SIEVE services for SuSEfirewall2 (bnc#635447).
* Thu Oct 21 2010 alexandre@exatati.com.br
- Update to 2.0.6:
  * Pre-login CAPABILITY includes IDLE again. Mainly to make Blackberry
    servers happy.
  * auth: auth_cache_negative_ttl default was 0 in earlier v2.0.x, but it
    was supposed to be 1 hour as in v1.x. Changed it back to 1h.
    If you want it disabled, make sure doveconf shows it as 0.
  + dbox: Added support for saving mail attachments to external files,
    with also support for single instance storage. This feature hasn't
    had much testing yet, so be careful with it.
  + doveadm: Added import command for importing mails from other storages.
  + Reduced NFS I/O operations for index file accesses
  + dbox, Maildir: When copying messages, copy also already cached fields
    from dovecot.index.cache
  + mdbox: Added mdbox_preallocate_space setting (Linux+ext3/XFS only)
  - Maildir: LDA/LMTP assert-crashed sometimes when saving a mail.
  - Fixed leaking fds when writing to dovecot.mailbox.log.
  - Fixed rare dovecot.index.cache corruption
  - IMAP: SEARCH YOUNGER/OLDER wasn't working correctly
* Fri Oct  1 2010 alexandre@exatati.com.br
- Update to 2.0.5:
  * acl: Fixed the logic of merging multiple ACL entries. Now it works as
    documented, while previously it could have done slightly different
    things depending on the order of the entries.
  * virtual: Allow opening virtual mailboxes that refer to non-existing
    mailboxes. It seems that the benefits of this outweigh the lack of
    error message when typoing a mailbox name.
  + Added some disk I/O optimizations to Maildir and index code. They're
    especially helpful with short-lived connections like POP3.
  + pop3: Added pop3_fast_size_lookups setting.
  - doveconf sometimes failed with complaining about missing ssl_key
    setting, causing e.g. dovecot-lda to fail.
  - lda: If there's an error in configuration, doveconf didn't exit with
    EX_TEMPFAIL as it should have.
  - sdbox: Fixed memory leak when copying messages with hard links.
  - zlib + sdbox combination didn't work
  - zlib: Fixed several crashes, which mainly showed up with mbox.
  - quota: Don't crash if user has quota disabled, but plugin loaded.
  - doveadm fetch uid was actually returning sequence, not uid.
  - v2.0.4's subscription listing ignored (and logged a warning about)
    subscriptions=no namespaces' entries in some configurations.
    (So listing shared mailboxes' subscriptions could have been broken.)
  - acl: Fixed crashing when sometimes listing shared mailboxes via
    dict proxy.
* Mon Sep 27 2010 alexandre@exatati.com.br
- update pigeonhole to 0.2.1 release:
  + Incorporated distinction between original and final envelope
  recipient in Sieve interpreter, as recently introduced in Dovecot.
  + Regex extension: added support for regex keys composed from
  variables.
  - LDA Sieve plugin: added _version symbol to enable Dovecot's plugin
  version check. Without this check, people can forget to recompile
  the plugin, which can lead to unexpected effects.
  - LDA Sieve plugin: turned debug message about an unconfigured home
  directory into a proper error and added script path information.
  - Fixed unnecessary reporting of dummy extensions in ManageSieve SIEVE
  capability; the comparator-i;octet and comparator-i;ascii-numeric
  'extensions' were reported explicitly.
* Mon Sep 27 2010 alexandre@exatati.com.br
- Update to 2.0.4:
  * multi-dbox: If :INDEX=path is specified, keep
    storage/dovecot.map.index* files also in the index path rather than
    in the main storage directory.
  WARNING: if you specified :INDEX= with earlier mdbox installation,
  you must now manually move the storage indexes to the expected
  directory! Otherwise Dovecot won't see them and will rebuild the
  indexes, possibly unexpunging some mails.
  - Maildir: Copying messages with hard links sometimes caused the
    source maildir's entire tmp/ directory to be renamed to destination
    maildir as if it were a message.
  - Maildir: v2.0.3 broke expunging copied messages sometimes
  - Maildir: INBOX whose tmp/ directory was lost couldn't be opened
  - single-dbox: Messages weren't copied with hard links
  - vpopmail support is hopefully working again.
  - dsync: POP3 UIDLs weren't copied with Maildir
  - dict file: Fixed fd leak (showed up easily with LMTP + quota)
* Fri Sep 17 2010 alexandre@exatati.com.br
- update to version 2.0.3:
  * dovecot-lda: Removed use of non-standard Envelope-To: header as a
    default for -a. Set lda_original_recipient_header=Envelope-To to
    returns the old behavior.
  + Added support for reverse quota warnings (i.e. when quota goes back
    under the limit). This is enabled by adding '-' to beginning of
    quota_warning value. Based on patch by Jeroen Koekkoek.
  + dovecot-lda: Added lda_original_recipient_header setting, which is
    used for getting original recipient if -a isn't used.
  + dovecot-lda: Added -r parameter to specify final recipient address.
    (It may differ from original address for e.g. aliases.)
  + Maildir: uidlist file can now override message's GUID, making it
    possible for multiple messages in a mailbox to have the same GUID.
    This also fixes dsync's message conflict resolution.
  - dovecot-lda: If destination user isn't found, exit with EX_NOUSER,
    not EX_TEMPFAIL.
  - dsync: Fixed handling \Noselect mailboxes
  - Fixed an infinite loop introduced by v2.0.2's message parser changes.
  - Fixed a crash introduced by v2.0.2's istream-crlf changes.
* Wed Sep 15 2010 mrueckert@suse.de
- dont take read permissions for others, breaks the LDA.
* Fri Sep 10 2010 mrueckert@suse.de
- update pigeonhole to 0.2.0 release
  changes compared to the last snapshot
  - Updated the Compile section of the INSTALL file.
  - Fixed make distcheck to work.
  - Removed --enable-header-install setting.
  - Fixed series of AIX compiler warnings.
  - Added a few missing NEWS items and fixed some formatting
    issues.
  - Updated README documentation.
  - Updated INSTALL documentation.
  - ManageSieve: fixed dump-capability problem occuring when using
    a custom config file (patch by Timo Sirainen).
  - Sieve-dump: added support for producing per-block hexdump
    output.
- removed dovecot-2.0-pigeonhole_pass_config.patch: included in
  update
* Wed Sep  8 2010 mrueckert@suse.de
- added dovecot-2.0-pigeonhole_pass_config.patch:
  ManageSieve: fixed dump-capability problem occuring when using a
  custom config file (patch by Timo Sirainen).
* Wed Sep  8 2010 mrueckert@suse.de
- update to version 2.0.2
  * vpopmail support is disabled for now, since it's broken. You
    can use it via checkpassword support or its sql/ldap database
    directly.
  - maildir: Fixed "duplicate uidlist entry" errors that happened
    at least with LMTP when mail was delivered to multiple
    recipients
  - Deleting ACLs didn't cause entries to be removed from
    acl_shared_dict
  - mail_max_lock_timeout setting wasn't working with all locks
  - auth_cache_size setting's old-style value wasn't autoconverted
    and it usually also caused a crash
- removed dovecot-2.0.1_build_warnings.patch: included in update
* Tue Sep  7 2010 mrueckert@suse.de
- added dovecot-2.0.1_build_warnings.patch:
  fix build warnings after 2.0.1 update, patch taken from upstream
* Tue Sep  7 2010 mrueckert@suse.de
- update pigeonhole to 1414:1a7060ef63ce
  - Sieve-dump: added support for producing per-block hexdump
    output.
  - Added support for critical runtime errors.
  - Error handling: don't log user message of critical error to
    system log.
  - Sieve plugin: only refer to user log for compile error details
    when there is actually a compile error.
  - Final preparations for 0.2 release.
  - Sieve plugin: simplified system error handling.
  - Simplified error handling; in particular the changes in the
    preceeding commits.
  - Fixed runtime error logging not to report user-caused errors to
    the master log.
  - Made global system error handler state part of Sieve instance.
  - Fixed default Sieve capability: extra extensions spamtest,
    spamtestplus and virustest were also enabled by default.
  - Finished FIXME review.
  - Fixed FIXME: fileinto folder name utf-8 validity is now checked
    at compiletime or runtime.
  - Made sure that store action logs both UTF-8 and mUTF-7 names
    when applicable.
  - Fixed FIXME: added runtime warning for erroneous :addresses
    item.
  - Removed spurious source file.
  - Fixed FIXME: Date test now reports warning when invalid zone
    argument is encountered at runtime.
  - Fixed FIXME: Imap4flags extension now checks flag keyword
    syntax before the message is stored.
  - Modified TODO item.
  - Fixed FIXME: when redirect address is a variable, it is checked
    for validity at runtime.
  - Simplified runtime command script location querying.
  - Testsuite: partly cleaned up test scripts (rest is post-v0.2).
  - Testsuite: made command syntax more uniform.
* Fri Aug 27 2010 mrueckert@suse.de
- update pigeonhole to 1392:5f800639ee17
  - doc/man/sievec.1.in: fixed roff error caused by unescaped '-'
    (patch by Mike Abbott).
  - ManageSieve: settings plugin, capability dump: argument array
    for execv was too short by one element.
  - Forgot to add manpage preprocessor and includes to
    distribution.
* Fri Aug 27 2010 mrueckert@suse.de
- update pigeonhole to 1389:2a97d983e56b
  - Removed spurious old stdio.h (top) includes; these cause
    compile issues on specific systems.
  - Fixed Sieve script name checking to properly handle length
    issues and added 0x00ff as invalid character.
  - ManageSieve: fixed putscript error in previous commit.
  - Enforced ManageSieve protocol syntax better with some of the
    commands; some commands still allowed spurious extra arguments.
  - Cleaned up manpages and fixed various issues (patch by Pascal
    Volk).
  - Update man pages to match style and content of Dovecot man
    pages.
  - Added manpage redirection for sieved.
  - Renamed sieved tool to sieve-dump.
  - Updated documentation for upcoming release.
  - Added quota and limit configuration to config file examples.
  - Removed superfluous text from AUTHORS file.
  - Moved finishing the ereject extension off the pre-v0.2.0 TODO
    list.
  - Updated documentation.
  - ManageSieve: changed default IMPLEMENTATION capability to
    'Dovecot Pigeonhole'.
  - Renamed 'Dovecot Sieve' to 'Pigeonhole' in source file
    copyright headers.
* Tue Aug 24 2010 alexandre@exatati.com.br
- update to dovecot 2.0.1
  * When dsync is started as root, remote dsync command is now also
    executed as root instead of with dropped privileges.
  - IMAP: QRESYNC parameters for SELECT weren't handled correctly.
  - UTF-8 string validity checking wasn't done correctly (e.g.
    mailbox names in Sieve fileinto)
  - dsync: Fixed a random assert-crash with remote dsyncing
* Mon Aug 16 2010 mrueckert@suse.de
- fix build on sles9
  - use find | xargs instead of find -delete
  - set PIC/PIE globally so we dont have to regenerate the
    configure.
    the patches are still left in as documentation
  - use make dist tarball for pigeonhole instead of just packaging
    the hg checkout
* Mon Aug 16 2010 mrueckert@suse.de
- add missing conflicts
* Mon Aug 16 2010 mrueckert@suse.de
- update to dovecot 2.0.0
  * Dovecot uses two system users for internal purposes now by
    default:
    dovenull and dovecot. You need to create the dovenull user or
    change default_login_user setting.
  * Global ACLs are now looked up using namespace prefixes. For
    example if you previously had INBOX. namespace prefix and a
    global ACL for "INBOX.Sent", it's now looked up from
    "INBOX.Sent" file instead of "Sent" as before.
  * Maildir: File permissions are no longer based on dovecot-shared
    file, but the mailbox directory.
  + Redesigned master process. It's now more modular and there is
    less code running as root.
  + Configuration supports now per-local/remote ip/network settings.
  + dsync utility does a two-way mailbox synchronization.
  + LMTP server and proxying.
  + Added mdbox (multi-dbox) mail storage backend.
  + doveadm utility can be used to do all kinds of administration
    functions. Old dovecotpw and *view utilities now exist in its
    subcommands.
  + imap and pop3 processes can now handle multiple connections.
  + IMAP: COMPRESS=DEFLATE is supported by imap_zlib plugin
  + director service helps NFS installations to redirect users
    always to same server to avoid corruption
* Fri Aug 13 2010 mrueckert@suse.de
- update to dovecot 2.0.rc6
  - dict quota didn't always decrease quota when messages were
    expunged
  - Shared INBOX wasn't always listed with FS layout
- drop dovecot-2.0-tip.patch
* Fri Aug 13 2010 mrueckert@suse.de
- update pigeonhole to 1374:12bcaa8a3c8d
  - Fixed source file header comments.
  - Testsuite: added a few test for the regex extension.
  - Fixed Valgrind error.
  - Improved runtime error handing.
* Thu Aug 12 2010 mrueckert@suse.de
- update dovecot to 11994:a56e9deffa54 (added dovecot-2.0-tip.patch):
  - mdbox: Use unlimited buffer size when copying metadata while
    purging.
  - dbox: Don't allow unlimited buffer size when reading message
    body.
  - Added i_stream_get_max_buffer_size().
  - lib-sql: Fail if trying to register a duplicate sql driver.
  - lib-storage: Fixed listing shared INBOX with FS layout
  - dbox: Reset cache files when rebuilding indexes.
  - lib-index: Added mail_cache_reset().
  - Maildir: If trying to open a directory as message, try to rmdir
    it.
  - i_stream_create_fd(): If opening a directory, set
    stream_errno=EISDIR
  - lib-storage: When trying to delete "trash" directory, ignore
    EBUSY errors.
  - unlink_directory(): Don't log EBUSY error for unlink(.nfs*)
    directly.
  - lib-master: Prefix log messages with username during
    auth/post-login lookups.
  - login proxy: Show proxy state in "disconnected" error message.
  - login proxy: Error message improvements.
  - module_dir_load(): Support multiple binaries for checking
    dependency
  - lib-lda: Added mail_deliver_hook_set()
  - quota: Fixed updating quota when sync_notify() had been called
    outside regular syncing.
  - Improved "Inotify instance limit exceeded" error message.
* Thu Aug 12 2010 mrueckert@suse.de
- update pigeonhole to 1370:7dc1741fe305
  - Produce a nicer error message when trying to load with
    non-lda/lmtp binary (patch by Timo Sirainen).
  - Regex match: fixed segfault at deinitialization.
* Wed Aug 11 2010 mrueckert@suse.de
- update pigeonhole to 1366:5b078d671e51
  - Improved and simplified file error handling
  - ManageSieve/Sieve storag: fixed error handling of PUTSCRIPT
    commmand; save commit errors would not make the command fail.
* Wed Aug 11 2010 mrueckert@suse.de
- update pigeonhole to 1364:181e04d8ac6e
  - Fixed segfault occuring when loaded binary block turns out to
    be corrupt.
* Wed Aug 11 2010 mrueckert@suse.de
- update pigeonhole to 1363:90cec7ef7373
  - Multiscript: fixed duplicate implicit keep caused by erroneous
    execution state update.
* Wed Aug 11 2010 mrueckert@suse.de
- update pigeonhole to 1362:89756b38a8c6
  - Prevent assertion failure due to currupt binary string
    representation (missing \0).
  - LDA Sieve plugin: fixed sieve_global_path setting; it was not
    recognized.
* Wed Aug 11 2010 mrueckert@suse.de
- added simple way to enabled the unfinished features in
  pigeonhole
* Wed Aug 11 2010 mrueckert@suse.de
- added dovecot-2.0-pigeonhole_pie.patch:
  build pigeonhole with PIE
- fix clean section
* Wed Aug 11 2010 mrueckert@suse.de
- remove db-devel
- added tcpd-devel and enable tcpwrapper support
- dont rename the .ext files
- install additional docs for pigeonhole
- move dovecot-config to the devel package
- sort the subprocesses
- simplify the file section entry after cleaning up the /etc/dovecot
* Tue Aug 10 2010 mrueckert@suse.de
- update Pigeonhole 1360:0592366457df
  - Fixed segfault in tools and testsuite occuring when no username
    can be determined.
  - ManageSieve: fixed SASL negotiation; mechanisms that need a
    roundtrip were broken.
  - Fixed compiler warnings in tst-size.c
  - Improved runtime trace debugging towards something more
    intuitively readable.
  - Imap4flags: fixed bug in setflag command; when parameter was a
    stringlist, only the last item was actually set.
  - Fixed bug in error handling of store action.
  - Testsuite: prevented warning messages from showing up by
    default.
  - Testsuite: fixed segfault problem.
  - Testsuite: added missing test case for the size test.
  - Testsuite: minor cleanups.
  - Sieve tools: don't try to close stdout.
  - Sieve-test tool: accidentally disabled -d option.
  - Improved byte code encoding implementation of integers and
    offsets.
  - Sieve binary: now using better defined integer types for
    byte-coded data
  - Variables extension: fixed :length set modifier to recognize
    utf8 characters in stead of octets.
  - Implemented generic string list interface and simplified
    matching API.
  - Fixed sieve-test not to start in trace mode by default.
  - Updated extension status information.
  - ManageSieve: fixed deinitialization problem in dump-capability
    plugin.
  - ManageSieve: fixed dump-capability hang.
  - Further developed new runtime trace debugging; test suite is
    also now included.
  - First changes towards making `make distcheck' work.
  - Improved runtime trace debugging output for core Sieve
    language.
  - Adjusted to Dovecot LDA API changes; implicitly fixing segfault
    (patch by Timo Sirainen).
  - Updated dovecot.m4.
  - Removed unused code that caused compile failure due to Dovecot
    API change.
  - Implemented simple runtime trace of string value matching.
  - Adjusted string matching API tu use runtime environment.
  - Updated ManageSieve specification.
  - Testsuite: inappropriately removed initialization of dummy MAIL
    environment.
  - Sieve tools: added support for extended trace debugging and
    updated man pages.
  - Updated documentation: Sieve tools are now using Dovecot
    configuration by default.
- cleanup spec
* Tue Aug 10 2010 mrueckert@suse.de
- Update to 2.0 RC5
  - Using more than 2 plugins could have caused broken behavior
    (more fixes for this)
  - Listescape plugin fixes
  - mbox: Fixed a couple of assert-crashes
  - mdbox: Fixed potential assert-crash when saving multiple
    messages in one transaction.
- Additional changes from 2.0 RC4
  + director: Added director_doveadm_port for accepting doveadm
    TCP connections.
  + doveadm: Added client/server architecture support for running
    mail commands. Enable this by setting doveadm_worker_count to
    non-zero.
  + mail-log: Added support for mailbox_create event.
  + imap_capability = +XFOO BAR can be used to add capabilities
    instead of replacing the whole capability string.
  + virtual storage: Added support for IDLE notifications.
  - doveadm mailbox status: Fixed listing non-ASCII mailbox names.
  - doveadm fetch: Fixed output when fetching message header or
    body
  - doveadm director map/add/remove: Fixed handling IP address as
    parameter.
  - dsync: A few more fixes
- Additional changes from 2.0 RC3
  * Single-dbox is now called "sdbox" instead of "dbox".
    "dbox" will stay as an alias for it for now.
  + Added mail_temp_dir setting, used by deliver and lmtp for
    creating temporary mail files. Default is /tmp.
  + doveadm: Added "director map" command to list user -> host
    mappings.
  - imap: Fixed checking if list=children namespace has children.
  - director: If all login processes died, director stopped reading
    proxy-notify input and caused future login processes to hang
  - mail_log plugin configuration was broken
  - Using more than 2 plugins could have caused broken behavior
  - mdbox: Race condition fixes related to copying and purging
  - dsync: Lots of fixes
- reenable sqlite plugin
* Sun Jul 11 2010 alexandre@exatati.com.br
- Removed --with-db and --enable-header-install from dovecot 2.0.
- Initial support to Pigeonhole using hg tip.
* Sun Jul 11 2010 alexandre@exatati.com.br
- Update to 2.0 RC2:
  - Fixed a crash with empty mail_plugins
  - Fixed sharing INBOX to other users
  - mdbox: Rebuilding storage was broken in rc1
  - dsync was broken for remote syncs in rc1
  - director+LMTP proxy wasn't working correctly
  - v1.x config parser failed with some settings if pigeonhole wasn't
    installed.
  - virtual: If non-matching messages weren't expunged within same
    session, they never got expunged.
* Mon Jul  5 2010 alexandre@exatati.com.br
- Update to 2.0 RC1:
  - Added man pages, mostly written by Pascal Volk. They're also
    synchronized to wiki in http://wiki2.dovecot.org/Tools
  - dsync syntax changed, although it's still compatible with old
    syntax. see http://wiki2.dovecot.org/Tools/Dsync for new syntax
  - dsync backup command added
  - dsync should now be stable (in theory anyway, more testing
    would probably be a good idea)
  - LMTP proxying supports director
  - director should now be stable
  - Single-dbox should now be stable
  - mdbox locking behavior modified. when rebuilding indexes it
    can no longer fail with deadlocks
  - fsync_disable=no was renamed to mail_fsync = optimized (default)
  - fsync_disable=yes was renamed to mail_fsync = never.
  - added a new mail_fsync = always (basically what mail_nfs_*=yes
    also did before, but now it can be done without enabling NFS cache
    flushes)
  - Plus lots of fixes, as usual.
* Sat Jun 12 2010 alexandre@exatati.com.br
- Moving devel files to devel package.
* Sat Jun 12 2010 alexandre@exatati.com.br
- Update to 2.0 beta6:
  - Added director: http://blog.dovecot.org/2010/05/new-director-service-in-v20-for-nfs.html
  - IMAP: Added STATUS (X-VSIZE) command for easily getting mailbox's
    virtual size.
  - Lots and lots of doveadm improvements and new commands
  - Postlogin scripts now need to be executed using "script-login", not
    "script" binary.
  - Quota warnings are executed now asynchronously using the new script
    binary. See http://hg.dovecot.org/dovecot-2.0/rev/a179fcbbf960
  - Added passdb static for proxying and similar configurations
  - TLS SNI configuration must now be done using local_name {} blocks,
    not local {}
  - lib-storage plugin API changes, external plugins must be updated to
    work correctly
  - Lots of fixes
* Fri May 14 2010 alexandre@exatati.com.br
- Handle /var/run on tmpfs.
* Fri May 14 2010 alexandre@exatati.com.br
- Added 'dovenull' user creation needed by dovecot login proccess.
* Mon May 10 2010 alexandre@exatati.com.br
- Update to 2.0 beta5:
  - default_login_user is now "dovenull". You should create this user.
  - imap, pop3 -u <user> now does userdb lookup + changes privileges
    if necessary, so it's much easier to start imap/pop3 session for a
    specific user from command line
  - doveadm has all kinds of new commands and changes
  - PostgreSQL supports now multiple connections to backend. Also
    supports load-balancing / HA by specifying multiple host
    parameters. MySQL and PostgreSQL now share the same code for that.
  - probably lots of other things I can't think of right now.
* Mon Mar 22 2010 alexandre@exatati.com.br
- Enable solr backend for full text search adds 2 new
  dependencies: curl and expat;
- Update to 2.0 beta4:
  - Major changes since beta3:
  - auth process now runs as $dovecot_internal_user ("dovecot") by
    default. Auth worker processes still run as root by default, so this
    won't break PAM etc, but it could break passwd-file configurations.
  - It can now read v1.2's dovecot.conf file. If you find that it won't
    read your config, let me know and I'll see about adding code to fix it.
    It'll log warnings about each obsolete setting it sees. The easiest way
    to get rid of the warnings is to just translate your old config to v2.0:
    doveconf -n -c old.conf > new.conf
  - auth passdb/userdb configuration in example-config is now a bit
    different .. hopefully less confusing to new people than the old one.
  - added support for auth settings (including passdb/userdb) inside
    protocol sections, so it'll affect only those protocols
  - mail_plugins can now be set more easily. you can have a single global
    mail_plugins and then add more plugins to it like protocol imap
    { mail_plugins = $mail_plugins imap_quota }
  - doveconf finally shows all settings, including all protocol, local
    and remote sections
  - doveadm quota get|recalc command added. This is a plugin (yeah,
    doveadm now supports plugins!), so you must have a global
    mail_plugins=quota setting for the command to show up.
  - doveadm kick user/network to kick out logged in users (by sending
    TERM signal to processes). This was written by Pascal Volk.
  - and of course tons and tons of fixes all around
* Sun Feb 21 2010 alexandre@exatati.com.br
- Added option "-I ." on aclocal command in spec file;
- Update to 2.0 beta3:
  User visible changes:
  - imap_zlib plugin implements COMPRESS=DEFLATE IMAP extension
  - zlib plugin: Added support for compressing mails while saving
  - zlib plugin: fixed reading bzip2 compressed mail files
  - zlib plugin: Added support for dbox and mdbox formats
  - mdbox: doveadm purge moves old mails to alt storage (if using alt
    storage)
  - added support for tcpwrappers
  - added support for SHA512 password scheme (by Mark Washenberger)
  - mailbox deletion is now free of race conditions (e.g. quota
    calculations). if another session tries to access mailbox before it's
    fully deleted, it'll get "Mailbox is being deleted" error.
  - "key = $set" in config file now sets key's value to "set" setting's
    value. this is probably rather limited outside the only place where I
    created it for: service { user = $default_internal_user }
  - default_internal_user and default_login_user settings now specify
    what users should be used for them. currently the default is still
    dovecot and dovecot, but I'm hoping to change default_login_user to
    something else..
  - Removed maildir_copy_preserve_filename setting. It's now always tried
    to be preserved (or rather: message's GUID is preserved)
  - auth failure penalty tries to avoid increasing penalty for IP if auth
    is failing always with the same user+password combination.
  - doveadm penalty command can be used to see the current penalties
  - login processes: config lookups are now cached, so it no longer asks
    for configuration from config process every time (except if there are
    remote {} blocks in config. also the local {} caching could be smarter.)
  - Tons of mdbox fixes
  - Tons of dsync fixes, especially with mbox
  Developer visible changes:
  - dovecot-config file changed. if your external plugin uses this file,
    you need to change it to use the new format.
  - added dovecot.m4 file that can be used by external plugins' configure
    script to get Dovecot settings. This was mainly done by Dennis Schridde.
  - mailbox_alloc() no longer has stream parameter, instead there's
    mailbox_open_stream()
  - mailbox_close() renamed to mailbox_free(). added a different
    mailbox_close(), which only closes opened mailbox, but doesn't free it.
  - mailbox_delete(), mailbox_rename() APIs changed
  - notify plugin's delete/rename API changed as well
  - mailbox GUID is now looked up using mailbox_get_guid(), not
    mailbox_status()
  - dict_iterate*() API changed.
* Mon Feb  1 2010 alexandre@exatati.com.br
- Update to 2.0 beta2:
  - passdbs and userdbs have now a separate "driver" setting inside
    them.
  - Services now have default inet_listeners. You need to either
    remove your existing ones, or override the defaults by giving
    the listeners's name like shown in the new example master.conf.
  Some new features:
  - Added auth_verbose_passwords = no|plain|sha1. If authentication
    fails, this setting logs the used password. If you don't really need to
    know what the password itself was, but are more interested in knowing if
    the user is simply trying to use the wrong password every single time or
    if it's a brute force attack, you can set this to "sha1" and only the
    SHA1 of the password is logged. That's enough to know if the password is
    same or different between login attempts.
  - lazy-expunge: Support a single-namespace configuration. In this setup
    if mailbox has some expunged messages and then the whole mailbox gets
    deleted, they get merged into the same deleted mailbox.
  - protocol !imap { .. } adds configuration to all protocols except
    imap.
  - imap/pop3 proxying supports now async DNS lookups for hosts. There's
    a separate dns-client service doing the lookups using OS's own blocking
    resolver.
  - dovecot-config file changed in a way that it'll be easier to create
    external software linking against dovecot libraries. This made
    Pigeonhole's configure script a lot simpler.
  And of course there have been lots of fixes.
* Tue Jan 12 2010 alexandre@exatati.com.br
- Removed --with-static-userdb and --with-prefetch-userdb options;
- Applied PIE patch.
* Sat Jan  2 2010 alexandre@exatati.com.br
- Update to 2.0 beta1;
- Disabled Lucene because of compilation errors.
* Tue Nov 10 2009 alexandre@exatati.com.br
- Initial package (2.0 aplha3) of the 2.0 series.
